Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.model.framestore.updater
Interface RestrictionUpdater

All Known Implementing Classes:
  AbstractRestrictionUpdater, AllValuesFromRestrictionUpdater, CardinalityRestrictionUpdater, HasValueRestrictionUpdater, QuantifierRestrictionUpdater

    public interface RestrictionUpdater

An object capable of mapping restrictions into facet overrides, and vice versa. The goal of these classes is to ensure a maximum of compatibility to existing Protege components, such as the template slots widget, that allows to edit facet overrides on a per class basis. Furthermore, this class makes sure that legacy Protege ontologies can be converted into OWL (so that restrictions are created for facet overrides) and that OWL files can be saved in other formats as well (because restrictions are mirrored in restrictions that are not exported in most formats).
Depending on the type of event, this class does the following:

- directSuperclassAdded/Removed (at OWLNamedClass): Updates facet overrides
- directTemplateSlotAdded/Removed (at OWLRestriction): Updates facet overrides
- templateFacetValueChanged (at OWLRestriction, i.e. filler changed): Updates facet overrides
- templateFacetValueChanged (at OWLNamedClass): Updates restrictions

Author:
  Holger Knublauch

Method Summary
`void` | `copyFacetValuesIntoNamedClass(RDFSNamedClass cls, OWLRestriction restriction)`
`void` | `updateRestrictions(OWLNamedClass cls, RDFProperty property, edu.stanford.smi.protege.model.Facet facet)`

Method Detail

### copyFacetValuesIntoNamedClass

    void copyFacetValuesIntoNamedClass(RDFSNamedClass cls,
                                       OWLRestriction restriction)

### updateRestrictions

    void updateRestrictions(OWLNamedClass cls,
                            RDFProperty property,
                            edu.stanford.smi.protege.model.Facet facet)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.